/*  g_posix_queue.h - POSIX IPC QUEUES TEST [header file]
 *  
 *  (C) Copyright XII 2004 Michal 'GiM' Spadlinski <gim at skrzynka dot pl>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License Version 2 as
 *  published by the Free Software Foundation.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */
#ifndef __G_POSIX_QUEUE
#define __G_POSIX_QUEUE

# ifdef HAS_POSIX_QUEUES

#include <sys/types.h>
#include <sys/wait.h>
#define __need_timespec
#define __USE_XOPEN2K
#include <mqueue.h>
#include <unistd.h>
#include <errno.h>

#include "g_ipc_wspolne.h"

extern const int long_s;

int child_posix_queue(int off);
int parent_posix_queue(int pid);
int prefork_posix_queue(void);

#endif /* HAS_POSIX_QUEUES */
#endif /* __G_POSIX_QUEUE */
